Std New/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(3 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
|
|[[Std_Open|Std Open]]
|[[Std_File_Menu|Std File Menu]]
|IconL=
|IconR=Std_Open.svg
|IconC=Freecad.svg
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
Line 11: Line 20:
</div>
</div>


<div class="mw-translate-fuzzy">

Создаёт новый пустой документ. FreeCAD может быть сконфигурирован на создание нового пустого документа при старте автоматически, включив соответствующие установки через Правка → Параметры → Основные → Документ (вкладка).
Создаёт новый пустой документ. FreeCAD может быть сконфигурирован на создание нового пустого документа при старте автоматически, включив соответствующие установки через Правка → Параметры → Основные → Документ (вкладка).
</div>

The '''Std New''' command creates a new empty document and makes it the active document.

==Usage==

# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Std_New.svg|16px]] [[Std_New|Std New]]}} button.
#* Select the {{MenuCommand|File → [[Image:Std_New.svg|16px]] New}} option from the menu.
#* Use the keyboard shortcut: {{KEY|Ctrl}}+{{KEY|N}}.

==Preferences==

* FreeCAD will create a new document at start up if {{MenuCommand|Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc}} is set to {{TRUE}}. This setting can also be changed in the [[Preferences_Editor#Document|Preferences Editor]].
* Some document properties: author names, company name and license information, can be preset in the [[Preferences Editor#Document|Preferences Editor]].

==Properties==

Most properties can also be changed in the dialog box of the [[Std_ProjectInfo|Std ProjectInfo]] command.

* {{PropertyData|Comment}}: Any comment that may apply.
* {{PropertyData|Company}}: Company name. {{Emphasis|Can be preset}}.
* {{PropertyData|Created By}}: Author name. {{Emphasis|Can be preset}}.
* {{PropertyData|Creation Date}}: Automatic date stamp. {{Emphasis|Not editable}}.
* {{PropertyData|File Name}}: The full path of the file. Blank if the document has not been saved. {{Emphasis|Not editable}}.
* {{PropertyData|Id}}: Not implemented yet.
* {{PropertyData|Label}}: The name that will appear in the [[Tree_view|Tree view]]. By default the name of the document.
* {{PropertyData|Last Modified By}}: Author name. {{Emphasis|Can be preset}}.
* {{PropertyData|Last Modified Date}}: Automatic date stamp. {{Emphasis|Not editable}}.
* {{PropertyData|License}}: License type. {{Emphasis|Can be preset}}.
* {{PropertyData|License URL}}: License URL. {{Emphasis|Can be preset}}.
* {{PropertyData|Show Hidden}}: If true, items that have been hidden in the [[Tree_view|Tree view]] will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
* {{PropertyData|Tip}}: Not implemented yet.
* {{PropertyData|Tip Name}}: Not implemented yet.
* {{PropertyData|Transient Dir}}: The transient directory used for recovery data. {{Emphasis|Not editable}}.

==Scripting==

{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

To create a new document use the {{incode|newDocument}} method of the FreeCAD application.

{{Code|code=
import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)
}}

{{Docnav
|
|[[Std_Open|Std Open]]
|[[Std_File_Menu|Std File Menu]]
|IconL=
|IconR=Std_Open.svg
|IconC=Freecad.svg
}}


{{Std Base navi}}
{{Std Base navi{{#translation:}}}}
{{Userdocnavi}}
{{Userdocnavi{{#translation:}}}}
{{clear}}
{{clear}}

Revision as of 21:25, 23 March 2020

Std New

Системное название
Std New
Расположение в меню
Файл → Создать
Верстаки
All
Быстрые клавиши
Ctrl+N
Представлено в версии
-
См. также
Открыть файл,Импортировать файл

Создаёт новый пустой документ. FreeCAD может быть сконфигурирован на создание нового пустого документа при старте автоматически, включив соответствующие установки через Правка → Параметры → Основные → Документ (вкладка).

The Std New command creates a new empty document and makes it the active document.

Usage

  1. There are several ways to invoke the command:
    • Press the Std New button.
    • Select the File → New option from the menu.
    • Use the keyboard shortcut: Ctrl+N.

Preferences

  • FreeCAD will create a new document at start up if Tools → Edit parameters... → BaseApp → Preferences → Document → CreateNewDoc is set to true. This setting can also be changed in the Preferences Editor.
  • Some document properties: author names, company name and license information, can be preset in the Preferences Editor.

Properties

Most properties can also be changed in the dialog box of the Std ProjectInfo command.

  • ДанныеComment: Any comment that may apply.
  • ДанныеCompany: Company name. Can be preset.
  • ДанныеCreated By: Author name. Can be preset.
  • ДанныеCreation Date: Automatic date stamp. Not editable.
  • ДанныеFile Name: The full path of the file. Blank if the document has not been saved. Not editable.
  • ДанныеId: Not implemented yet.
  • ДанныеLabel: The name that will appear in the Tree view. By default the name of the document.
  • ДанныеLast Modified By: Author name. Can be preset.
  • ДанныеLast Modified Date: Automatic date stamp. Not editable.
  • ДанныеLicense: License type. Can be preset.
  • ДанныеLicense URL: License URL. Can be preset.
  • ДанныеShow Hidden: If true, items that have been hidden in the Tree view will be displayed anyway. Hiding items in the tree can be useful when working on larger models.
  • ДанныеTip: Not implemented yet.
  • ДанныеTip Name: Not implemented yet.
  • ДанныеTransient Dir: The transient directory used for recovery data. Not editable.

Scripting

See also: FreeCAD Scripting Basics.

To create a new document use the newDocument method of the FreeCAD application.

import FreeCAD
from pathlib import Path

# The folder and filename we will use:
fld = 'D:/testfiles/'
fnm = fld + 'test.FCStd'

# Make sure fld exists:
Path(fld).mkdir(parents=True, exist_ok=True)

doc = FreeCAD.newDocument()
doc.saveAs(fnm)

FreeCAD.closeDocument(doc.Name)

doc = FreeCAD.open(fnm)
doc.save()

FreeCAD.closeDocument(doc.Name)